# Minimal Aurora Store Installer
### By Whyorean (scripting by FriendlyNeighborhoodShane)
*A simple, flexible Aurora Installer with just the essentials*

### Links
* [GitHub](https://github.com/NoGooLag/Aurora_Packs)
* [Support](https://t.me/joinchat/INQp0kX2D7fcxcAXY6eZJA)
### Description
This is a simple Aurora installer. It can install Aurora into your system partition or as a Magisk module. It supports virtually all mobile architectures (arm/64, x86/64, mips/64) but Aurora Store only supports Lollipop and above. It can even uninstall itself from your device, just rename it and flash it again.

For support, Provide logs from /internal-storage/AuroraMagisk (they are stamped with flash time in YYYYMMDDHHMMSS)
Additionally, if you used Magisk Manager, provide its logs too.
Playstore may not work on first boot, so you may have to double check Aurora and reboot.

How to control the zip by changing its name:
NOTE: Control by name is not possible in magisk manager, since it copies zip to a cache directory and renames it install.zip. This is unavoidable behaviour.

1. Add 'system' to its filename to force it to install/uninstall from system. Otherwise, it looks for magisk, and if not found, installs to system. Obviously, if you flash it through Magisk manager, you want to install it to Magisk. If not, you have to flash through recovery.

2. Add 'uninstall' to its filename to uninstall it from your device, whether in magisk mode or system mode. If you use Magisk Manager, your preffered method of uninstallation is from there.

Just rename it and flash it again for the intended effect.

Thanls to @osm0sis for the base magisk/recovery code. You're awesome.
Thanks to @Setialpha, the creator of NanoDroid, and ale5000 for the lib installation code and permissions code.
